| MikroCAD SDK Library

- Home
- All Types
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
MC3DDataFileExport.h File Reference

## Description

Function prototypes for file export functions.

Author
  LMI Technologies

Go to the source code of this file.

## Macros
#define | MC_DATA_FILE_IMAGE_TYPE_CAMERA (char)0
| Image types.

## Functions
MC3D_EXPORT bool __cdecl | MC3D_ReadDataFileFD3 (char *pszFileName, short *pnData)
| Read data from a FD3 file. More...
MC3D_EXPORT TMC3D_DataFileFD3Data *__cdecl | MC3D_ReadDescriptionDataFD3 (char *pszFileName)
| Read description from a FD3 file. More...
MC3D_EXPORT int __cdecl | MC3D_Version ()
| Returns the version of the MikroCAD 3d library. More...
MC3D_EXPORT bool __cdecl | MC3D_WriteDataFileFD3 (const char *pszFileName, short *pnData, short nSizeX, short nSizeY, float fScaleX=1.0f, float fScaleY=1.0f, float fScaleZ=1.0f, char cImageType=MC_DATA_FILE_IMAGE_TYPE_HEIGHT)
| Saves height data in FD3 format. More...
MC3D_EXPORT bool __cdecl | MC3D_WriteDataFileFD3Valid (const char *pszFileName, short *pnData, bool *pbValid, short nSizeX, short nSizeY, float fScaleX=1.0f, float fScaleY=1.0f, float fScaleZ=1.0f, char cImageType=MC_DATA_FILE_IMAGE_TYPE_HEIGHT)
| Saves height data with valid array in FD3 format. More...

## Function Documentation

MC3D_EXPORT bool __cdecl MC3D_ReadDataFileFD3 | ( | char * | pszFileName,
|  | short * | pnData
| ) |  |

Read data from a FD3 file.

Parameters

  pszFileName | File name
  pnData | Output Data array

Returns
  Success (true) or failure

MC3D_EXPORT TMC3D_DataFileFD3Data* __cdecl MC3D_ReadDescriptionDataFD3 | ( | char * | pszFileName | ) |

Read description from a FD3 file.

Parameters

  pszFileName | File name

Returns
  TMC3D_DataFileFD3Data structure

MC3D_EXPORT int __cdecl MC3D_Version | ( |  | ) |

Returns the version of the MikroCAD 3d library.

Returns
  Version number

MC3D_EXPORT bool __cdecl MC3D_WriteDataFileFD3 | ( | const char * | pszFileName,
|  | short * | pnData,
|  | short | nSizeX,
|  | short | nSizeY,
|  | float | fScaleX = `1.0f`,
|  | float | fScaleY = `1.0f`,
|  | float | fScaleZ = `1.0f`,
|  | char | cImageType = `MC_DATA_FILE_IMAGE_TYPE_HEIGHT`
| ) |  |

Saves height data in FD3 format.

Parameters

  pszFileName | File name
  pnData | Input data array
  nSizeX | Size in X
  nSizeY | Size in Y
  fScaleX | Scaling factor in x direction
  fScaleY | Scaling factor in y direction
  fScaleZ | Scaling factor in z direction
  cImageType | Image type

Returns
  Success (true) or failure

MC3D_EXPORT bool __cdecl MC3D_WriteDataFileFD3Valid | ( | const char * | pszFileName,
|  | short * | pnData,
|  | bool * | pbValid,
|  | short | nSizeX,
|  | short | nSizeY,
|  | float | fScaleX = `1.0f`,
|  | float | fScaleY = `1.0f`,
|  | float | fScaleZ = `1.0f`,
|  | char | cImageType = `MC_DATA_FILE_IMAGE_TYPE_HEIGHT`
| ) |  |

Saves height data with valid array in FD3 format.

Parameters

  pszFileName | File name
  pnData | Input data array
  pbValid | Input valid array
  nSizeX | Size in X
  nSizeY | Size in Y
  fScaleX | Scaling factor in x direction
  fScaleY | Scaling factor in y direction
  fScaleZ | Scaling factor in z direction
  cImageType | Image type

Returns
  Success (true) or failure